This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 139793 - man page documentation for up2date is wrong and incomplete
man page documentation for up2date is wrong and incomplete
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bret McMillan
Fanny Augustin
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-17 20:55 EST by Rahul Sundaram
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-29 10:14:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Rahul Sundaram 2004-11-17 20:55:19 EST
Description of problem:

Man page of up2date doesnt even mention fedora while it is misleading
with things like rhn sign up. There is also no mention of adding
yum/apt sources

Version-Release number of selected component (if applicable):
up2date-4.3.47-5

How reproducible:

everytime
Steps to Reproduce:
1.man up2date
  
Actual results:

"Update  Agent  -  a program for updating packages on Red Hat
Enterprise  Linux". I am running fc3 and it is working more or less
fine here. so this document should be updated to reflect that

"--register
              Register a system with Red Hat Network.  This  is  mainly
              useful for re-registering a system, as up2date will auto-
              matically invoke this mode if the  current  system  isnât
              registered.
"
this is not applicable for fedora systems

"  /usr/share/rhn/RHNS-CA-CERT
              The default SSL certificate  author-
              ity   public   certificate  used  by
              up2date to validate the Red Hat Net-
              work SSL servers.
"
not applicable for fedora  systems

" Configuration is performed through up2date-
       config.  The Update Agent is  tightly  cou-
       pled   with   Red   Hat   Network.    Visit
       <http://rhn.redhat.com> for  access  or  to
       sign up.
"
not applicable for fedora systems


Expected results:


we probably require a seperate man page for up2date in fedora with no
reference to redhat EL or the document should be updated to include
all fedora related information which might be irrelevant to redhat el
users and viceversa
Comment 1 Matthew Miller 2006-07-10 17:14:31 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 2 John Thacker 2006-10-29 10:14:30 EST
Closing per lack of response to previous comment.  If this still occurs on FC3
or FC4 and is a security issue, please assign to Fedora Legacy and the
appropriate version.  The bug could also be filed against RHEL if it is relevant
there.

up2date has been replaced by pirut and pup in FC5 and FC6, the still fully
supported versions of Fedora Core, so this bug will not be fixed unless it is a
security issue.

Note You need to log in before you can comment on or make changes to this bug.